Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044459
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] J. Demo datatrivialhave not tried2020-06-23 15:552020-06-26 09:55
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision0fda4ebac699
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044459: Sample data (F&B International Group Client) for 3.0PR20Q3

DescriptionFollowing the "How to evolve F&B" document instructions create the transactions of Apr., May. and June. 2020 in both organizations (US and Spain) for F&B International Group Client.
Steps To Reproduce1) In a clean instance with no modules, execute:
ant install.source
2) Execute ant update.database and execute ant export.sample.data -Dclient="F&B International Group" -Dmodule=org.openbravo. Commit the changes.
3) Create new transactions
4) Verify the inserted data
5) ant export.sample.data -Dclient="F&B International Group" -Dmodule=org.openbravo
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121027)
AtulOpenbravo (developer)
2020-06-24 13:04

Test Plan:

-Go to purchase order, filtered by the quarter records, check there are 6 purchase order F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 purchase orders to F&B US West Coast.

-Go to good receipt, filtered by the quarter records, check there are 6 good receipt F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 good receipt to F&B US West Coast.

-Go to purchase invoice, filter by the quarter, check there are 6 purchase invoice F&B US East Coast and 3 purchase invoice to F&B US West Coast.

-Go to purchase invoice, filter by the quarter records, check there are 12 service purchase invoice F&B US, Inc and 12 service purchase invoice to F&B España, S.A.

-Go to payment out and check the suppliers payments

-Go to Financial Account transaction for the G/L Item “Sueldos y Salarios” or “Salaries”.

-Go to g/l journal and check the lines

-Go to sales order filter by the quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.

-Go to goods shipment filter by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.

-Go to sales invoice filtered by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.

-Go to sales invoice, filtered <0 in days till next due. Notice that the applied filter resulted 0 records.

-Go to financial account check that there is 1 imported bank statements per quarter and check the reconciliation, to F&B España, S.A. in Cuenta de Banco and F&B US, Inc in Bank Account 1
(0121098)
hgbot (developer)
2020-06-26 09:48

Repository: erp/devel/pi
Changeset: 95f24580a5a0c2e4d269c0b7b39063872b2a40c4
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jun 23 19:43:55 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/95f24580a5a0c2e4d269c0b7b39063872b2a40c4 [^]

Related to BUG-0044459: Sample data (F&B International Group Client)
for 3.0PR20Q3

** Executed update.database and exported changes prior to creating
transactions as sample data for 3.0PR20Q3

---
M referencedata/sampledata/F_B_International_Group/AD_CLIENTINFO.xml
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/AD_WINDOW_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/C_DOCTYPE.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
---
(0121099)
hgbot (developer)
2020-06-26 09:48

Repository: erp/devel/pi
Changeset: 0fda4ebac6993359a082a8bb886c21ff08c23238
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Jun 24 12:08:22 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0fda4ebac6993359a082a8bb886c21ff08c23238 [^]

Fixes BUG-0044459:Sample data (F&B International Group Client)
for 3.0PR20Q3

Following the "How to evolve F&B" document instructions,
created transactions of Apr., May. and Jun. 2020 in both
organizations (US and Spain) for F&B International Group
Client.

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_REQUEST.xml
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/AD_USER.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/C_CONVERSION_RATE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINE.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERTAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER_DISCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENTLINE.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINACC_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINANCIAL_ACCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROPOSAL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROP_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULE.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULEDETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_RECONCILIATION.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNAL.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALBATCH.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALLINE.xml
M referencedata/sampledata/F_B_International_Group/M_ATTRIBUTESETINSTANCE.xml
M referencedata/sampledata/F_B_International_Group/M_COSTING.xml
M referencedata/sampledata/F_B_International_Group/M_INOUT.xml
M referencedata/sampledata/F_B_International_Group/M_INOUTLINE.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHINV.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHPO.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_PENDING.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION_COST.xml
---
(0121101)
dmiguelez (developer)
2020-06-26 09:55

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-06-23 15:55 AtulOpenbravo New Issue
2020-06-23 15:55 AtulOpenbravo Assigned To => AtulOpenbravo
2020-06-23 15:55 AtulOpenbravo Modules => Core
2020-06-23 15:55 AtulOpenbravo Triggers an Emergency Pack => No
2020-06-23 15:55 AtulOpenbravo Issue generated from 0043518
2020-06-23 15:57 AtulOpenbravo Status new => scheduled
2020-06-24 13:04 AtulOpenbravo Note Added: 0121027
2020-06-26 09:48 hgbot Checkin
2020-06-26 09:48 hgbot Note Added: 0121098
2020-06-26 09:48 hgbot Checkin
2020-06-26 09:48 hgbot Note Added: 0121099
2020-06-26 09:48 hgbot Status scheduled => resolved
2020-06-26 09:48 hgbot Resolution open => fixed
2020-06-26 09:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0fda4ebac6993359a082a8bb886c21ff08c23238 [^]
2020-06-26 09:55 dmiguelez Review Assigned To => dmiguelez
2020-06-26 09:55 dmiguelez Note Added: 0121101
2020-06-26 09:55 dmiguelez Status resolved => closed
2020-06-26 09:55 dmiguelez Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker